unit CarInfoForm;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  StdCtrls, ExtCtrls;

type
  TfrmCarInfo = class(TForm)
    pnlBottom: TPanel;
    pnlClient: TPanel;
    btnOK: TButton;
    btnCancel: TButton;
    Label1: TLabel;
    Label2: TLabel;
    ecDescription: TEdit;
    ecYear: TEdit;
    procedure btnOKClick(Sender: TObject);
  private
    FYear: Integer;
    FDescription: string;
    { Private declarations }
  public
    { Public declarations }
    property Description: string read FDescription;
    property Year: Integer read FYear;
  end;

implementation

{$R *.DFM}

procedure TfrmCarInfo.btnOKClick(Sender: TObject);
begin
  FDescription := ecDescription.Text;

  try
    FYear := StrToInt(ecYear.Text);
  except
    ModalResult := mrNone;
    ActiveControl := ecYear;
    ShowMessage('Year is not a valid number.');
    exit;
  end;
end;

end.

