unit OilItemForm;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  StdCtrls, ComCtrls, ExtCtrls;

type
  TfrmOilItem = class(TForm)
    pnlBottom: TPanel;
    btnOK: TButton;
    btnCancel: TButton;
    pnlClient: TPanel;
    Label1: TLabel;
    Label3: TLabel;
    dtDate: TDateTimePicker;
    ecMileage: TEdit;
    procedure btnOKClick(Sender: TObject);
  private
    { Private declarations }
    FDate: TDateTime;
    FMileage: Double;
  public
    { Public declarations }
    property Date: TDateTime read FDate;
    property Mileage: Double read FMileage;
  end;

var
  frmOilItem: TfrmOilItem;

implementation

{$R *.DFM}

procedure TfrmOilItem.btnOKClick(Sender: TObject);
begin
  FDate := dtDate.Date;

  try
    FMileage := StrToFloat(ecMileage.Text);
  except
    ModalResult := mrNone;
    ActiveControl := ecMileage;
    ShowMessage('Mileage is not a valid number.');
    exit;
  end;
end;

end.
